# Class: GwasCatalogLZ

## LocusZoom_Adapters~GwasCatalogLZ()

Fetch GWAS catalog data for a list of known variants, and align the data with previously fetched association data. There can be more than one claim per variant; this adapter is written to support a visualization in which each association variant is labeled with the single most significant hit in the GWAS catalog. (and enough information to link to the external catalog for more information)

Sometimes the GWAS catalog uses rsIDs that could refer to more than one variant (eg multiple alt alleles are possible for the same rsID). To avoid missing possible hits due to ambiguous meaning, we connect the assoc and catalog data via the position field, not the full variant specifier. This source will auto-detect the matching field in association data by looking for the field name `position` or `pos`.

## Constructor

#### new GwasCatalogLZ()

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`config.url` | string |  | The base URL for the remote data.
`config.build` |  | <optional> | The genome build to use when requesting the specific genomic region. May be overridden by a global parameter `plot.state.genome_build` so that all datasets can be fetched for the appropriate build in a consistent way.
`config.source` | Number | <optional> | The ID of the chosen catalog. Most usages should omit this parameter and let LocusZoom choose the newest available dataset to use based on the genome build: defaults to recent EBI GWAS catalog, GRCh37.

Source:
  - data/adapters.js, line 287
See:
  - module:LocusZoom_Adapters~BaseUMAdapter

### Methods

#### _getURL()

Add query parameters to the URL to construct a query for the specified region

Source:
  - data/adapters.js, line 305